Skip to main content
POST
/
api
/
v1
/
platform
/
scrapers
/
seo
/
domain
Get SEO domain overview
curl --request POST \
  --url https://developer.thehog.ai/api/v1/platform/scrapers/seo/domain \
  --header 'Content-Type: application/json' \
  --header 'X-Access-Key: <api-key>' \
  --header 'X-Secret-Key: <api-key>' \
  --data '
{
  "domain": "acme.com"
}
'
{
  "data": {
    "hasData": true,
    "organicKeywordsCount": 123,
    "paidKeywordsCount": 123,
    "summary": "<string>",
    "keyword_category": "<string>",
    "tech_stack": [
      "<string>"
    ],
    "match_score": 123
  },
  "meta": {
    "requestId": "<string>"
  }
}

POST /api/v1/platform/scrapers/seo/domain

Get organic and paid search signals for a domain.
Returns keyword counts, a short summary, keyword themes, and inferred tech stack for the domain you provide.

Example

curl -X POST https://developer.thehog.ai/api/v1/platform/scrapers/seo/domain \
  -H "X-Access-Key: ak_xxxxxxxxxxxxxxxx" \
  -H "X-Secret-Key: sk_xxxxxxxxxxxxxxxx" \
  -H "Content-Type: application/json" \
  -d '{"domain": "acme.com"}'

Authorizations

X-Access-Key
string
header
required

The public API key from the Credentials page.

X-Secret-Key
string
header
required

The API secret shown when the credential is created.

Body

application/json
domain
string
required

Domain or http(s) URL to look up SEO and paid search signals for.

Example:

"acme.com"

Response

Organic and paid search overview for a domain.

data
object
required
meta
object
required